/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#ifndef __D_H
#define __D_H
#include "file_23.h"
class D {
double d;
char *name;
public:
D(double v) { name=NULL; d=v; }
D(int, int, char *dname) { name=dname; d=0; }
D(const M& l_57);
operator double() const { return d; }
char* getname() const { return name; }
double operator +=(double v) { d+=v; return d; }
double operator -=(double v) { d-=v; return d; }
double operator *=(double v) { d*=v; return d; }
double operator /=(double v) { d/=v; return d; }
void operator ++() { d++; }
void operator --() { d--; }
};
#endif
